@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --body-font: "Roboto", sans-serif;
  --second-font: "Inter", sans-serif;
  --first-font: "Nunito", sans-serif;
  --header-height: 4rem;
}

body {
  height: auto;
  font-family: "Poppins" sans-serif;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  scroll-behavior: smooth;
  background: #3498db;
}

/* layer1 */
#layer1 {
  margin: 0 auto;
  padding: 0;
  width: 100%;
  height: auto;
  position: relative;
  overflow: hidden;
}

.background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 75%;
  z-index: 0;
}
.background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.background .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8); /* dark shadow effect */
  box-shadow: inset 0 0 100px rgba(0, 0, 0, 0.6); /* optional extra shadow */
  pointer-events: none;
}

.content {
  margin: 0 auto;
  align-items: flex-start;
  justify-content: start;
  text-align: start;
  padding: 20px 300px;
  position: relative;
  z-index: 1;
  color: white;
  height: auto;
}

/* text */

.header p {
  font-family: var(--first-font);
  margin-top: 150px;
  font-size: 40px;
  line-height: 1.4;
  font-weight: bold;
  text-align: left;
}

.header span {
  font-size: 18px;
  font-family: var(--first-font);
  line-height: 1.4;
  font-weight: 200;
  text-align: left;
}

/* box */

.box-container {
  display: flex;
  gap: 20px; /* space between boxes */
  flex-wrap: wrap; /* allows wrapping on small screens */
  padding: 20px;
  justify-content: space-between;
}

.box-item {
  text-align: center;
}

.box-text {
  margin-top: 8px;
  font-size: 18px;
  color: #ffffff;
}

.box {
  width: 100px;
  height: 100px;
  background-color: #181818; /* blue box */
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  padding: 0;
  margin: 0 auto;

  display: flex;
  align-items: center;
  justify-content: center;
}

.box-container {
  display: flex;
  justify-content: start;
  align-items: start;
  gap: 10px;
  padding: 0;
  margin: 0;
}

/* partners slideshow */

@keyframes slide {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}
.clients {
  overflow: hidden;
  padding: 30px 0;
  background: #232323;
  height: 100%;
  white-space: nowrap;
  position: relative;
  text-align: center;
}

.clients p {
  color: #ecf3fe;
  font-size: 20px;
  font-family: var(--first-font);
}

.clients:before,
.clients:after {
  position: absolute;
  top: 0;
  width: 250px;
  height: 100%;
  content: "";
  z-index: 2;
}

.clients:before {
  left: 0;
  background: linear-gradient(to left, rgba(255, 255, 255, 0), #000000);
}

.clients:after {
  right: 0;
  background: linear-gradient(to right, rgba(255, 255, 255, 0), #000000);
}

.clients:hover .logos-slide {
  animation-play-state: paused;
}

.logos-slide {
  display: inline-block;
  animation: 35s slide infinite linear;
  display: flex;
}

.logos-slide img {
  height: 110px;
  width: auto;
  margin: 0 40px;
}

.logo img {
  height: 80px;
  width: auto;
  margin: 0px;
}

/* product */

.product {
  height: 100vh;
  width: 100%;
  padding: 150px 300px;
}

.product-title p {
  font-size: 40px;
  font-family: var(--first-font);
  font-weight: bold;
}
.product-title span {
  font-size: 15px;
}

.modal-body p{
font-size: clamp(0.9375rem, 0.2627rem + 1.7964vw, 1.125rem);
}

/* about us */

.about-us {
  padding: 100px 300px;
  width: 100%;
  height: 90vh;
  background-color: #1d1d1d;
}

#row-details {
  width: auto;
  height: 100%;
  margin: 0 auto;
  padding: 0;
  color: #ffffff;
}

.product-title p {
  line-height: 1.4;
}
#col-details {
  height: 100%;
  padding: 5%;
  margin: 0;
  justify-content: center;
  align-items: center;
  display: flex;
}

.bground {
  border-radius: 12px; /* smooth rounded corners */
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2); /* soft shadow */
  overflow: hidden; /* optional: hides content overflow on rounded edges */
  background-color: #181818;
  height: 90%;
  width: 90%;
}

.bground img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* card */
.card {
  height: 100%;
  max-height: 100%;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.card-body {
  display: flex;
  flex-direction: column;
  text-align: start;
}

.card-img-top.fixed-img {
  height: 300px;
  object-fit: cover;
}

/* footer */

footer {
  max-width: 100%;
  height: 60vh;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  background-color: #ffffff;
  text-align: center;
  padding: 100px 300px;
}

.line {
  width: 100%;
  height: 3px;
  background-color: #c7c7c7;
  border-radius: 5px;
}

.logo-footer img {
  width: 200px;
}

.span-title {
  font-size: 30px;
  font-weight: bold;
}
.span-footer {
  font-size: 18px;
}

#footer-row {
  width: 100%;
  height: 100%;
}

.footer-text {
  color: #1a1a1a;
}

.footer-logo img {
  height: auto;
  width: 25%;
  justify-items: center;
  align-items: center;
  margin: 0 auto;
}

.text-muted {
  color: rgb(90, 90, 90);
  font-size: small;
}

.text-end a {
  color: rgb(26, 26, 26) !important;
  text-decoration: none;
}

/* contact us */
.contact_us {
  justify-content: center;
  flex-direction: column;
  align-items: center;
  display: flex;
  margin: 0 auto;
  padding: 20px 300px;
  text-align: center;
  height: auto;
  width: 100%;
}
.contact_us button {
  background: rgb(214, 44, 44);
  width: 150px;
  height: 50px;
  border: none;
}

.get {
  font-size: 60px;
  font-family: var(--first-font);
  font-weight: bold;
}

.contact_us span {
  font-size: 20px;
  font-weight: bold;
  font-family: var(--first-font);
}

#row-info {
  margin: 0 auto;
  padding: 0;
  width: 100%;
  height: 20%;
}

#row-info i {
  margin-bottom: 20px;
}

#row-info p {
  font-size: 30px;
  font-weight: bold;
  font-family: var(--first-font);
}
#row-info span {
  font-size: 18px;
  font-weight: 100;
}

.iframe {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.text-align-end {
  text-align: end;
}

/* FAQS */

.faqs {
  margin: 0 auto;
  padding: 70px 300px;
  width: 100%;
  height: auto;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  display: flex;
  text-align: center;
}

.faqs button {
  background: rgb(214, 44, 44);
  width: 150px;
  height: 50px;
  border: none;
  margin-bottom: 50px;
}

.text-title {
  font-family: var(--first-font);
  font-weight: bold;
}

.nav-tabs {
  height: 8%;
  margin: 0 auto;
  padding: 0;
}
.nav-item button {
  text-decoration: none;
  color: #1a1a1a;
}

#tac span {
  font-weight: bold;
  font-family: var(--first-font);
  font-size: 25px;
  color: #000000;
}

#tac p {
  line-height: 1.5rem;
  line-height: 1.5rem;
  font-size: 18px;
  font-weight: 400;
  font-family: var(--first-font);
  margin-top: 2rem;

}

#pac p {
  line-height: 1.8rem;
  font-size: 18px;
  font-weight: 400;
  font-family: var(--first-font);
  margin-top: 2rem;

}

#pac span {
  font-weight: bold;
  font-family: var(--first-font);
  font-size: 25px;
  color: #000000;
}

.pre-title {
  font-size: 25px;
}

#about,
#oad,
#tac,
#pac {
  padding: 50px;
}

#about p {
  font-family: var(--first-font);
  font-weight: bold;
  font-size: 25px;
  color: #000000;
}

#about span {
  font-family: var(--first-font);
  font-weight: 100;
  font-size: 18px;
}

#oad p {
  font-family: var(--first-font);
  font-weight: bold;
  font-size: 25px;
  color: #000000;
}
#oad span {
  font-family: var(--first-font);
  font-weight: 100;
  font-size: 18px;
}

/* shop */

/*.banner {*/
/*  width: 100%;*/
/*  height: auto;*/
/*  margin: 0 auto;*/
/*  padding: 10px 300px;*/
/*}*/

/*.banner img {*/
/*  width: 100%;*/
/*  height: 100%;*/
/*  object-fit: cover;*/
/*}*/

.shop {
  width: 100%;
  height: auto;
  margin: 0 auto;
  padding: 100px 300px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  display: flex;
  text-align: center;
}

#pills-tab {
  align-items: center;
  justify-content: center;
  text-align: center;
  margin-bottom: 30px;
}

.nav-pills .nav-link.active {
  background-color: #232323;
  color: #ffffff !important;
}

#pills-tab button {
  color: #232323;
}

.shop ul li button {
  color: #1d1d1d;
}

.mt-auto{
  
  justify-content: center !important; 
  align-items: center !important;
  margin: 0 auto !important;
  display: flex !important;
  width: 100% !important;
  height: auto !important;
}

.mt-button{
  width: 100%;
}


/* button up scroll */
#myBtn {
display: none;
/* Hidden by default */
position: fixed;
/* Fixed/sticky position */
bottom: 20px;
/* Place the button at the bottom of the page */
right: 30px;
/* Place the button 30px from the right */
z-index: 99;
/* Make sure it does not overlap */
border: none;
/* Remove borders */
outline: none;
/* Remove outline */
background-color: #CC1515;
/* Set a background color */
color: white;
/* Text color */
cursor: pointer;
/* Add a mouse pointer on hover */
padding: 15px;
/* Some padding */
border-radius: 10px;
/* Rounded corners */
font-size: 18px;
/* Increase font size */
}

#myBtn:hover {
background-color: #555;
/* Add a dark-grey background on hover */
}

